KDE 4.9 PyKDE API Reference

- KDE's Python API

# HTMLHeadElement Class Reference

`from PyKDE4.khtml import *`

Inherits: DOM.HTMLElement → DOM.Element → DOM.Node
Namespace: DOM

## Detailed Description

Document head information. See the <a href="http://www.w3.org/TR/REC-html40/struct/global.html#edef-HEAD"> HEAD element definition in HTML 4.0.

## Methods

| __init__ (self)
| __init__ (self, DOM.HTMLHeadElement other)
| __init__ (self, DOM.Node other)
DOM.DOMString | profile (self)
| setProfile (self, DOM.DOMString a0)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | DOM.HTMLHeadElement | other
| ) |  |  |

__init__ | ( | self, |
|  | DOM.Node | other
| ) |  |  |

DOM.DOMString profile | ( |  | self ) |

URI designating a metadata profile. See the <a href="http://www.w3.org/TR/REC-html40/struct/global.html#adef-profile"> profile attribute definition in HTML 4.0.

setProfile | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see profile